This API is currently an active work in progress. To keep up with any updates, please check out the changelog here.

Indexes

API reference for indexes endpoints

Base URL: https://api.riftcodex.com

All responses are JSON. No authentication is required for read operations.

Endpoints

GET /index/keywords

Get Keywords

Get a list of all unique keywords found across all cards in the database.

Request
curl "https://api.riftcodex.com/index/keywords"
Response 200
// Successful Response
GET /index/card-names

Get Card Names

Get a list of card names found across all cards in the database.

Request
curl "https://api.riftcodex.com/index/card-names"
Response 200
// Successful Response
GET /index/card-types

Get Card Types

Get a list of card types found across all cards in the database.

Request
curl "https://api.riftcodex.com/index/card-types"
Response 200
// Successful Response
GET /index/card-supertypes

Get Card Supertypes

Get a list of card supertypes found across all cards in the database.

Request
curl "https://api.riftcodex.com/index/card-types"
Response 200
// Successful Response
GET /index/domains

Get Domains

Get a list of card domains found across all cards in the database.

Request
curl "https://api.riftcodex.com/index/domains"
Response 200
// Successful Response
GET /index/rarities

Get Rarities

Get a list of card rarities found across all cards in the database.

Request
curl "https://api.riftcodex.com/index/rarities"
Response 200
// Successful Response
GET /index/artists

Get Artists

Get a list of card artists found across all cards in the database.

Request
curl "https://api.riftcodex.com/index/artists"
Response 200
// Successful Response
GET /index/energy

Get Energy

Get a list of all possible energy values found across all cards in the database.

Request
curl "https://api.riftcodex.com/index/energy"
Response 200
// Successful Response
GET /index/might

Get Might

Get a list of all possible might values found across all cards in the database.

Request
curl "https://api.riftcodex.com/index/might"
Response 200
// Successful Response
GET /index/power

Get Power

Get a list of all possible power values found across all cards in the database.

Request
curl "https://api.riftcodex.com/index/power"
Response 200
// Successful Response
GET /index/tags

Get Tags

Get a list of all unique tags found across all cards in the database.

Request
curl "https://api.riftcodex.com/index/tags"
Response 200
// Successful Response

Schema Reference

Index

FieldTypeRequiredDescription
total integer ✓ yes The total number of unique values for the given index type.
type string ✓ yes The type of index, e.g. `keywords`, `sets`, `types`, etc.
values (string | integer)[] ✓ yes The list of unique values for the given index type.